<?php
if (!defined('SMF'))
	die('Hacking attempt...');

function TopicAttach(){

	global $smcFunc, $topic, $txt, $context, $modSettings;

	if (empty($topic))
		fatal_lang_error('not_a_topic', false);

    // Get the Number of Replies with Attachments
	$id_msg = array();
    $dbrequest = $smcFunc['db_query']('', '
	SELECT a.filename, a.size, a.downloads, a.id_attach, a.id_msg
	FROM {db_prefix}messages AS m 
	     LEFT JOIN {db_prefix}attachments AS a ON (a.id_msg = m.id_msg)
	WHERE m.id_topic = {int:topic_id}
	      AND a.attachment_type = {int:attach_type}
		  AND a.approved = {int:is_approved}
	ORDER BY a.id_attach',
			array(
				'attach_type' => 0,
				'topic_id' => $topic,
				'is_approved' => 1,
	));
    while($row = $smcFunc['db_fetch_assoc']($dbrequest)){
    $context['attachments'][] = array(
			'id_attach' => $row['id_attach'],
			'downloads' => $row['downloads'],
                        'filename' => $row['filename'],
                        'size' => round($row['size'] / 1024, 2) . ' ' . $txt['debug_kb'],
                        'id_msg' => $row['id_msg'],			
		);
	}
	$smcFunc['db_free_result']($dbrequest);

	// Now define the template
	loadTemplate('TopicAttach');
	$context['template_layers'] = array('TopicAttach');
}
?>