<?php
// Version: 1.0.0; TopicCount

function template_TopicAttach_above()
{
	global $context, $settings, $options, $txt;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>'.$txt['attachments_this_topic'].'</title>';

	if ($context['browser']['is_gecko'])
		echo '
	<style type="text/css"><!--
		.code
		{
			white-space: pre;
		}
	--></style>';

	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />';
	if ($context['browser']['needs_size_fix'])
		echo '
		<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';
	echo '
	</head>
	<body>
		<table width="95%" cellpadding="2" cellspacing="0" border="0" align="center" class="tborder">';
}

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $topic;

	// Let's see the attachments
	if(!empty($context['attachments'])){
		echo '
			<tr class="catbg">
				<td colspan="3" align="center">
					'.$txt['attachments_this_topic'].'
				</td>
			</tr>
			<tr class="titlebg">
				<td width="60">
					<b>'.$txt['attachment_in_topic'].'</b>
				</td>
				<td width="20" align="center">
					<b>'.$txt['attachments_size'].'</b>
				</td>
                <td width="20" align="center">
					<b>'.$txt['attachment_dl'].'</b>
				</td> 
			</tr>';

		// Now let's set the default class and show the attachs
		$windowclass = "windowbg";
		foreach($context['attachments'] as $attach) {
			echo '
			<tr class="',$windowclass,'">
				<td align="left" width="60">
					<a href="'.$scripturl.'?action=dlattach;topic='.$topic.'.0;attach='.$attach['ID_ATTACH'].'" title="'.$txt['attachment_download'].'">'.$attach['filename'].'</a> 
                                        <a href="'.$scripturl.'?topic='.$topic.'.msg'.$attach['ID_MSG'].'#msg'.$attach['ID_MSG'].'" title="'.$txt['attachment_go'].'" target="_blank"><img src="', $settings['images_url'], '/split_select.gif" alt="'.$txt['attachment_go'].'" valign="middle" /></a>
				</td>
				<td align="center">
					'.$attach['size'].'
				</td>
                <td align="center">
					'.$attach['downloads'].'
				</td>
			</tr>';

            // Change the class for the next attach 
			if ($windowclass == "windowbg")
				$windowclass = "windowbg2";
			else 
				$windowclass = "windowbg";
		}		
	}
    else
		echo '
			<tr class="',$windowclass,'">
				<td align="center">
				'.$txt['attachment_none'].'
				</td>
			</tr>';	
}

function template_TopicAttach_below()
{
	global $context, $settings, $options, $txt;

	echo '
			</table><table width="95%" cellpadding="2" cellspacing="0" border="0" align="center"><tr>
				<td colspan="2">
					<div align="center" class="smalltext">', theme_copyright();
	// Show the load time?
	if ($context['show_load_time'])
		echo '
					<br />', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span>';

	echo '
					</div>
				</td>
			</tr>
		</table>
	</body>
</html>';
}

?>
