<?php
// Version: 1.0.0; TopicCount

function template_TopicAttach_above()
{
	global $context, $settings, $options, $txt;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>'.$txt['attachments_this_topic'].'</title>';

	if ($context['browser']['is_gecko'])
		echo '
	<style type="text/css"><!--
		.code
		{
			white-space: pre;
		}
	--></style>';

	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />';
	if ($context['browser']['needs_size_fix'])
		echo '
		<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';
	echo '
	</head>
	<body>
		<div class="padding windowbg">';
}

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $topic;

	// Let's see the attachments
	if(!empty($context['attachments'])){
		echo '
		<h3 class="catbg centertext"><span class="left"></span><span class="right"></span>
		'.$txt['attachments_this_topic'].'
		</h3>
		<table width="100%">			
			<tr class="titlebg">
				<td width="60">
					<b>'.$txt['attachment_in_topic'].'</b>
				</td>
				<td width="20" align="center">
					<b>'.$txt['attachments_size'].'</b>
				</td>
                <td width="20" align="center">
					<b>'.$txt['downloads'].'</b>
				</td> 
			</tr>';

		// Now let's set the default class and show the attachs
		$windowclass = "windowbg";
		foreach($context['attachments'] as $attach) {
			echo '
			<tr class="',$windowclass,'">
				<td align="left" width="60">
					<a href="'.$scripturl.'?action=dlattach;topic='.$topic.'.0;attach='.$attach['id_attach'].'" title="'.$txt['attachment_download'].'">'.$attach['filename'].'</a> 
                                        <a href="'.$scripturl.'?topic='.$topic.'.msg'.$attach['id_msg'].'#msg'.$attach['id_msg'].'" title="'.$txt['attachment_go'].'" target="_blank"><img src="', $settings['images_url'], '/split_select.gif" alt="'.$txt['attachment_go'].'" valign="middle" /></a>
				</td>
				<td align="center">
					'.$attach['size'].'
				</td>
                <td align="center">
					'.$attach['downloads'].'
				</td>
			</tr>';

            // Change the class for the next attach 
			if ($windowclass == "windowbg")
				$windowclass = "windowbg2";
			else 
				$windowclass = "windowbg";			
			
		}
		
		echo'</table>';	
	}
    else
    echo'<div align="center">'.$txt['attachment_none'].'</div>';	
}

function template_TopicAttach_below()
{
	global $context, $settings, $options, $txt;

	echo '
				<br class="clear" />
				<div align="center" class="smalltext">', theme_copyright();
	// Show the load time?
	if ($context['show_load_time'])
		echo '
					<br />', $txt['page_created'], $context['load_time'], $txt['seconds_with'], $context['load_queries'], $txt['queries'], '';

	echo '
				</div>				
		</div>
	</body>
</html>';
}

?>
